/*===========================================
  instruction index.h
  used with spectrum.cpp
  defines opcodes for SH3 instructions
  written by z80man
  ===========================================*/

#define ADD_v       0x300C
#define MOVLi_v     0xD000
#define MOVr_v      0x6003
#define MOVLin_v    0x2002
#define MOVLim_v    0x6002
#define MOVLpush_v  0x2006
#define MOVLpop_v   0x6006
#define CMPEQr_v    0x3000
#define DT_v        0x4010
#define SUB_v       0x3008
#define ANDr_v      0x2009
#define NOT_v       0x6007
#define ORr_v       0x200B
#define TSTr_v      0x2008
#define XORr_v      0x200A
#define BF_v        0x8B00
#define BTS_v       0x8D00
#define NOP_v       0x0009